# norootforbuild

%define gst_branch 0.10

Name:			gstreamer-0_10
License:		LGPLv2.1+
Group:			System/Libraries
Version:		0.10.29
Release:		1002.59
Summary:		Streaming-Media Framework Runtime
Source:			http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.bz2
Source90:		%{name}-rpmlintrc
Patch0:			gstreamer-makefile.patch
URL:			http://gstreamer.freedesktop.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
PreReq:			filesystem /sbin/ldconfig
BuildRequires:	liboil
BuildRequires:	bison
BuildRequires:	check-devel
BuildRequires:	docbook-toys
BuildRequires:	docbook-utils
BuildRequires:	fdupes
BuildRequires:	flex
BuildRequires:	glib2-devel
BuildRequires:	gtkdoc
%if %suse_version > 1110
BuildRequires:	gobject-introspection-devel
%endif
BuildRequires:	indent
BuildRequires:	libtool
BuildRequires:	libgnomeui-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	popt-devel
BuildRequires:  pkg-config
BuildRequires:	pyxml
BuildRequires:  texlive-latex
#BuildRequires:	translation-update-upstream
BuildRequires:	netpbm
BuildRequires:	transfig
BuildRequires:	xfig
%ifarch %ix86 ppc x86_64
BuildRequires:	valgrind
%endif
Requires:       gstreamer-0_10-lang = %{version}
# Core modules may depend on new enough libraries:
Requires:		libgstreamer-0_10-0 >= %{version}
# Name up to 10.3:
Provides:		gstreamer010 = %{version}
Obsoletes:		gstreamer010 < %{version}
Provides:       gstreamer-0_10-packman = %{version}

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package -n libgstreamer-0_10-0
Summary:	Shared libraries for gstreamer010
Group:		System/Libraries
Provides:	libgstreamer-0_10 = %{version}
Obsoletes:	libgstreamer-0_10 < %{version}

%description -n libgstreamer-0_10-0
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

This package contains the shared libraries for gstreamer010.

%package devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Libraries/GNOME
# We want to have core modules installed:
Requires:	gstreamer-0_10 = %{version}
Requires:	check-devel
Requires:	glib2-devel
%if %suse_version > 1110
Requires:	gobject-introspection-devel
%endif
Requires:	libxml2-devel
Requires:	popt-devel
# Name up to 10.3:
Provides:	gstreamer010-devel = %{version}
Obsoletes:	gstreamer010-devel < %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package utils
Summary:	Streaming-Media Framework Runtime
Group:		Productivity/Multimedia/Other
# Name up to 10.3:
Provides:	gstreamer010:%{_bindir}/gst-launch-%{gst_branch} = %{version}
# Symbol for unversioned wrappers:
Provides:	gstreamer-utils_versioned

%description utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package -n gstreamer-utils
Summary:	Streaming-Media Framework Runtime
Group:		Productivity/Multimedia/Other
# Name up to 10.3:
Provides:	gstreamer010:%{_bindir}/gst-launch = %{version}
# At least one versioned package has to be present:
Requires:	gstreamer-utils_versioned

%description -n gstreamer-utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package doc
Summary:	Streaming-Media Framework Runtime: Documentation for Developers
Group:		Documentation/Other
Requires:	gstreamer-0_10 = %{version} 
# Name up to 10.3:
Provides:	gstreamer010-doc = %{version}
Obsoletes:	gstreamer010-doc < %{version}

%description doc
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%lang_package

%prep
%setup -q -n "gstreamer-%{version}"
%patch0
#translation-update-upstream po gstreamer-0.10

NOCONFIGURE=1 ./autogen.sh

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--with-package-name='Packman Core gstreamer package' \
	--with-package-origin='http://packman.links2linux.de/' \
	--libexecdir=%{_libexecdir} \
	--disable-static \
	--enable-gtk-doc \
	--enable-docbook \
%if %suse_version > 1110
	--enable-introspection \
%endif
	--enable-tests

#export V=1
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__install -dm 755 %{buildroot}%{_datadir}/gstreamer-%{gst_branch}/presets

%__install -dm 755 %{buildroot}%{_docdir}/%{name}
echo -n >docfiles.lst
for f in AUTHORS COPYING ChangeLog NEWS README RELEASE; do
    %__install -m644 "$f" \
		"%{buildroot}%{_docdir}/%{name}/$f"
    echo "%doc %{_docdir}/%{name}/$f" >>docfiles.lst
done

%__mv %{buildroot}%{_datadir}/doc/gstreamer-*/* \
	%{buildroot}%{_docdir}/%{name}
%__rm -rf %{buildroot}%{_datadir}/doc/gstreamer-*

%__rm "%{buildroot}%{_libdir}"/gstreamer-*/*.*a

%find_lang gstreamer-%{gst_branch}
%fdupes -s %{buildroot}%{_datadir}/gtk-doc

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libgstreamer-0_10-0 -p /sbin/ldconfig

%postun -n libgstreamer-0_10-0 -p /sbin/ldconfig

%files -f docfiles.lst
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/faq
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/*.so
%dir %{_libexecdir}/gstreamer-%{gst_branch}
%{_libexecdir}/gstreamer-%{gst_branch}/gst-plugin-scanner*
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets

%files -n libgstreamer-0_10-0
%defattr(-, root, root)
%{_libdir}/lib*.so.0
%{_libdir}/lib*.so.0.*
%if %suse_version > 1110
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%files utils
%defattr(-, root, root)
%{_bindir}/*-%{gst_branch}
%doc %{_mandir}/man?/*-%{gst_branch}.*

%files -n gstreamer-utils
%defattr(-, root, root)
%exclude %{_bindir}/*-%{gst_branch}
%{_bindir}/*

%files doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/pwg
%{_datadir}/gtk-doc/html/*

%files lang -f gstreamer-%{gst_branch}.lang

%changelog
* Thu Apr 29 2010 Toni Graffy <toni@links2linux.de> - 0.10.29-999.pm.1
- update to 0.10.29 "It's a Trap"
    * improve plugin loading robustness: do not ever unload a plugin after calling into it: should fix mystery crashers during registry loading when a plugin init function returns FALSE (e.g. when some supporting library fails to initialise or a wrapper plugin found no features to wrap and wrongly returned FALSE)
    * configurable memory alignment for GstBuffers
    * add QoS message to inform apps of lost data, dropped frames etc.
    * basesink, basetransform: add support for new QoS message
    * basetransform: accept non-fixed caps suggestions
    * basesrc: fix gst_base_src_new_seamless_segment()
    * GstController fixes and optimisations
    * set thread name for pad tasks on Linux
    * pipeline, bin: fix refcount issue when removing elements during a state change
    * queue2: implement seeking in download mode
    * queue2: implement flushing in download buffering
    * queue2: improve buffer level measurement in download mode
    * fdsrc: allow specifying the size in bytes on the uri
    * build fixes: better checks for uint128_t, inline assembly on OSX, compilation if HAVE_REGISTER_PRINTF_SPECIFIER is undefined, gobject-introspection
    * two symbols were removed that had been exported but never been used or been declared in any header file: gst_element_default_error and gst_element_request_compatible_pad

* Tue Mar 09 2010 Toni Graffy <toni@links2linux.de> - 0.10.28-999.pm.1
- update to 0.10.28 "Same old, same old"
    * No material changes compared to 0.10.27, this release is mostly to keep the version in sync with gst-plugins-base
    * Parse "1/MAX" fraction strings

* Mon Mar 08 2010 Toni Graffy <toni@links2linux.de> - 0.10.27-999.pm.1
- update to 0.10.27 "You're Shocked, We Know"
    * basesrc: protect segment values from concurrent access from different threads
    * typefind: protect internal fields from concurrent changes from different threads
    * typefind: fix pad activation corner-case with have-type already having been emitted
    * typefind: reset the working mode when going to READY/NULL, fixes re-use from READY state as with decodebin2
    * gstpoll: fix crash when logging is enabled for GST_POLL
    * bytewriter: expose gst_byte_writer_put_{float32|float64}_*() properly in header
    * basesink: fix emergency rendering timestamp tracking
    * fdsink, fdsrc: fix compilation with MSVC
    * memindex: avoid busy loop when doing EXACT lookup

* Tue Feb 23 2010 Toni Graffy <toni@links2linux.de> - 0.10.26-999.pm.3
- added --enable-introspection for openSuSE >= 1120
* Tue Feb 16 2010 Toni Graffy <toni@links2linux.de> - 0.10.26-999.pm.2
- moved gst-plugin-scanner to _libexecdir
* Thu Feb 11 2010 Toni Graffy <toni@links2linux.de> - 0.10.26-999.pm.1
- update to 0.10.26 "Think Twice"
  * Threadsafe design and API
  * registry: do plugin scanning (on *nix) using an external helper binary
  * lots of performance improvements all over the place
  * add GstByteWriter, a simple generic byte writer
  * filesink: Use _wfopen on win32 to open files with non-ascii filenames correctly.
  * queue2: add option to remove the temp-file (enabled by default)
  * it is now allowed to use gst_caps_set_simple() on non-simple caps
  * queue2: move from gst-plugins-base into the coreelements plugin in core
  * multiqueue: add support for buffering mode where we post BUFFERING messages based on the level of the queues
  * typefind: speed up typefinding a lot by first trying the typefinder for the file's extension
  * buffer: remove private/internal subbuffer subclass and keep track of the parent buffer directly in the GstBuffer structure
  * collectpads: add ability to install clipping functions
  * new tags for TV/Radio shows/episodes, lyrics, composer sortname and grouping
  * miniobject: avoid race when recycling buffers
  * basesrc: fix race in PLAYING->PAUSED->PLAYING

* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.10.25-999.pm.1
- update to 0.10.25 "Feel the burn"
  * Improve the byte-reader API
  * GObject introspection support
  * Improve clock accuracy on win32
  * Optimisations in capabilities checking
  * Optimisations and fixes in the basetransform base class
  * new 64-bit scaling utility function variants
  * Various bug-fixes and improvements (see ChangeLog and bugs list below)

* Thu Oct 01 2009 Pascal Bleser <pascal.bleser@opensuse.org> 0.10.24-999.pm.1
- update to 0.10.24 "It matters"
  * Fully support nested structures in caps
  * Support frame-by-frame stepping in sinks
  * Add buffer-lists to pass around groups of buffers
  * Use TaskPools for managing worker threads
  * New stream-status API for finer thread control
  * Code optimisations
  * Many other bug-fixes and enhancements

* Mon May 11 2009 Toni Graffy <toni@links2linux.de> - 0.10.23-42.pm.1
- update to 0.10.23 "Alaboo Alaboo"
  * Support files > 4GB on Windows
  * Controller interpolation fixes
  * Add timer support to GstPoll and use it for clocking
  * Attempt to typefind contents from the file extension if all else fails
  * Many other bug fixes and improvements

* Wed Jan 21 2009 Toni Graffy <toni@links2linux.de> - 0.10.22-42.pm.1
- update to 0.10.22
* Mon Nov 17 2008 Toni Graffy <toni@links2linux.de> - 0.10.21-42.pm.3
- Add patch from upstream to fix bad GST_CAPS bug in 0.10.21
  Fixes bnc#439323 and bgo#555631
  patch is "stolen" from factory gstreamer package
* Fri Oct 03 2008 Toni Graffy <toni@links2linux.de> - 0.10.21-42.pm.2
- update to 0.10.21
* Wed Oct 01 2008 Toni Graffy <toni@links2linux.de> - 0.10.20-42.pm.2
- fixed name of libgstreamer-0_10 (thx to Hans-Peter Jansen <hpj@urpla.net>)
- using check-devel ==> libgstcheck is back again
- removed all %%ifdef for openSuSE <= 1020
* Wed Jun 19 2008 Toni Graffy <toni@links2linux.de> - 0.10.20-42.pm.1
- update to 0.10.20
* Fri May 02 2008 Toni Graffy <toni@links2linux.de> - 0.10.19-42.pm.2
- using "<=" instead of "<" in Obsoletes-tag
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.10.19-42.pm.1
- changed package layout similar to openSuSE-11.0
* Sat Apr 05 2008 Toni Graffy <toni@links2linux.de> - 0.10.19-0.pm.1
- update to 0.10.19
* Sun Mar 23 2008 Toni Graffy <toni@links2linux.de> - 0.10.18-0.pm.1
- update to 0.10.18
* Wed Jan 30 2008 Toni Graffy <toni@links2linux.de> - 0.10.17-0.pm.1
- update to 0.10.17
* Tue Jan 29 2008 Toni Graffy <toni@links2linux.de> - 0.10.16-0.pm.1
- update to 0.10.16
* Tue Nov 20 2007 Toni Graffy <toni@links2linux.de> - 0.10.15-0.pm.1
- update to 0.10.15
* Fri Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.10.14-0.pm.2
- openSUSE-10.3: te_ams ==> texlive, _prefix=/usr
* Fri Aug 03 2007 Toni Graffy <toni@links2linux.de> - 0.10.14-0.pm.1
- update to 0.10.14
* Tue Jun 05 2007 Toni Graffy <toni@links2linux.de> - 0.10.13-0.pm.1
- update to 0.10.13
* Thu Mar 08 2007 Toni Graffy <toni@links2linux.de> - 0.10.12-0.pm.1
- update to 0.10.12
* Fri Dec 08 2006 Toni Graffy <toni@links2linux.de> - 0.10.11-0.pm.1
- update to 0.10.11
* Thu Nov 23 2006 Toni Graffy <toni@links2linux.de> - 0.10.10-0.pm.1
- build for packman
- Updated to version 0.10.10
- spec-file based on SuSE-spec Fri Jun 16 2006 - sbrabec@suse.cz
